Subject: Re: bug#79255: Can't run SCSH

From: Tom Willemse <[email-masked]>
Date: Mon, 18 Aug 2025 23:42:51 -0700

Tomas Volf <[email-masked]> writes:

> Tom Willemse <[email-masked]> writes:
>
>> Hello Guix,
>>
>> For about 2 weeks now when I try to guix pull in the latest changes and
>> afterwards I can't run scsh:
>>
>>     > scsh
>>     scsh: No such file or directory
>>
>> Even when I try to run it with a pure guix shell it doesn't come up:
>>
>>     > guix shell --pure scsh -- scsh
>>     scsh: No such file or directory
>>
>> I was hoping that it was just something to do with Guix setup, but with
>> the guix shell command not helping I'm guessing it isn't an issue on my
>> end.
>>
>> Thank you!
>
> I took a quick look, it seems that it looks for
> /gnu/store/zk081l8qwim3893kaaq5ks7vdqg7q0na-scheme48-1.9.3/lib/scheme48-1.9.2/scheme48vm
> and it fails with ENOENT.
>
> Notice that it looks in scheme48-1.9.3 package, but the lib path is
> scheme48-1.9.2.
>
> Did not have time to debug this further.

Oh excellent, thanks! This put me on the right path and it turns out
it's because the Makefile.in in the scsh project has a reference to
scheme48-1.9.2. I've created a test package with a snippet to modify the
Makefile.in and so far testing it it seems to work fine now.

I'll open a PR as soon as I can if someone else doesn't fix it first.

-- 
Cheers,

Tom

Find me on the Fediverse: https://goto.ryuslash.org/@ryuslash